import { Request, Response } from 'express';
import { Configuration, Context, InviteUserService } from '..';
import { AuthConfigurer } from './auth.configurer';
import { AuthListener } from './auth.listener';
export declare class AuthController {
    private readonly authConfigurer;
    private readonly inviteUserService;
    private readonly configuration;
    private readonly authListener;
    private logger;
    constructor(authConfigurer: AuthConfigurer, inviteUserService: InviteUserService, configuration: Configuration, authListener: AuthListener);
    signIn(req: Request, res: Response, next: (err: Error) => void): void;
    signInFake(req: Request, res: Response, next: (err: Error) => void): void;
    activate(req: Request, res: Response, next: (err: Error) => void, context: Context): Promise<void>;
    reInviteUser(req: Request, res: Response, next: (err: Error) => void, context: Context): Promise<void>;
    signOutLocal(req: Request, res: Response, next: (err: Error) => void): void;
    signOut(req: Request, res: Response, next: (err: Error) => void): void;
    signInGoogle(req: Request, res: Response, next: () => void): void;
    completeSignInGoogle(req: Request, res: Response): void;
    signInSaml(req: Request, res: Response, next: () => void): void;
    completeSignInSaml(req: Request, res: Response): void;
    signInAuth0(req: Request, res: Response, next: () => void): void;
    signOutAuth0(req: Request, res: Response): void;
    completeSignInAuth0(req: Request, res: Response): void;
    signInOidc(req: Request, res: Response, next: () => void): void;
    completeSignInOidc(req: Request, res: Response): void;
}
