import { CookieOptions } from 'express';
import { OneOrMany } from './util/types';
import { ServeStaticOptions } from 'serve-static';
interface ServerOptions {
    csp?: object;
    csrf?: {
        ignorePaths?: OneOrMany<string | RegExp>;
        sameSite?: boolean;
        disabled?: boolean;
    };
    session: {
        secret: string;
        projectId?: string;
        apiEndpoint?: string;
        cookie?: CookieOptions;
    };
    sessionTimeoutInMinutes?: number;
    staticAssets?: {
        options?: ServeStaticOptions;
        prefix?: string;
        root: string;
    };
}
interface Express {
    use(...handlers: Function[]): void;
    use(paths: OneOrMany<string | RegExp>, ...handlers: Function[]): void;
    set(property: string, value: boolean): void;
}
export declare const configureExpress: (expressApp: Express, options: ServerOptions) => void;
export {};
