"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const path = require("path");
const logging_1 = require("./gcloud/logging");
const saveSessionAndSendIndexPage = (request, response, logger) => {
    if (request.session && request.session.save) {
        return request.session.save(() => {
            logger.debug(`Session saved ${request.session.id}`);
            sendIndexPage(response);
        });
    }
    return sendIndexPage(response);
};
const sendIndexPage = (response) => response.status(200).sendFile(path.join(process.cwd(), 'public', 'index.html'));
let NotFoundFilter = class NotFoundFilter {
    constructor() {
        this.logger = logging_1.createLogger('not-found-filter');
    }
    catch(exception, host) {
        const ctx = host.switchToHttp();
        const response = ctx.getResponse();
        const request = ctx.getRequest();
        if (request.headers.accept && request.headers.accept.includes('text/html')) {
            return saveSessionAndSendIndexPage(request, response, this.logger);
        }
        response.status(404).json({
            statusCode: exception.getStatus(),
            timestamp: new Date().toISOString(),
            path: request.url,
        });
    }
};
NotFoundFilter = tslib_1.__decorate([
    common_1.Catch(common_1.NotFoundException)
], NotFoundFilter);
exports.NotFoundFilter = NotFoundFilter;
//# sourceMappingURL=filter.js.map