"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts_mockito_1 = require("ts-mockito");
const loader_1 = require("../../datastore/loader");
exports.testConfiguration = (overrides) => (Object.assign({ auth: {}, bucket: 'required but not important for test', environment: 'required but not important for test', gmailUser: 'required but not important for test', host: 'required but not important for test', location: 'required but not important for test', projectId: 'required but not important for test', systemSecret: Buffer.from([]), isDevelopment() {
        return true;
    } }, overrides));
exports.mockContext = () => {
    const datastoreLoader = ts_mockito_1.mock(loader_1.DatastoreLoader);
    const context = {
        datastore: ts_mockito_1.instance(datastoreLoader),
    };
    ts_mockito_1.when(datastoreLoader.inTransaction(ts_mockito_1.anyFunction())).thenCall((cb) => cb(context));
    return context;
};
class MockMailSender {
    async send(context, mailOptions) { }
}
exports.MockMailSender = MockMailSender;
//# sourceMappingURL=mocks.js.map