import { Response } from 'node-fetch';
import { Configuration, SearchFields, SearchService } from '..';
import { IndexEntry, Page, Predicate, QueryResults, Sort } from './search.service';
export interface SearchPredicate extends Predicate {
    field: string;
}
export declare class GaeSearchService extends SearchService {
    private readonly configuration;
    private logger;
    constructor(configuration: Configuration);
    index(entityName: string, entries: IndexEntry[]): Promise<Response>;
    delete(entityName: string, ...ids: string[]): Promise<Response>;
    deleteAll(entityName: string): Promise<Response>;
    query(entityName: string, fields: SearchFields, sort?: Sort, page?: Page): Promise<QueryResults>;
    private post;
    private normaliseFields;
    private toSearchPredicate;
}
